### File

`projects/angular-l10n/src/lib/services/l10n-missing-translation-handler.ts`

### Description

Implement this class-interface to create an handler for missing values.

### Index

###### Methods

- Public Abstract handle

### Methods

Public Abstract handle
`handle(key: string)`
Defined in projects/angular-l10n/src/lib/services/l10n-missing-translation-handler.ts:13

This method must contain the logic to handle missing values.

Parameters :

Name | Type | Optional | Description
key | `string` | No | The key that has been requested

Returns : `string | any`

The value

    import { Injectable } from '@angular/core';

    /**
     * Implement this class-interface to create an handler for missing values.
     */
    @Injectable() export abstract class L10nMissingTranslationHandler {

        /**
         * This method must contain the logic to handle missing values.
         * @param key The key that has been requested
         * @return The value
         */
        public abstract handle(key: string): string | any;

    }

    @Injectable() export class L10nDefaultMissingTranslationHandler implements L10nMissingTranslationHandler {

        public handle(key: string): string | any {
            return key;
        }

    }

# result-matching ""

# No results matching ""